<!-- 
  Example stylesheet file for converting macros
  2007-08-14
  Jan Willem Knopper 
-->
<xsl:stylesheet version="1.0"
  xmlns:monet="http://monet.nag.co.uk/monet/ns"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
  <xsl:output indent="yes" method="xml"/>

  <!-- 
    default: copy 
  -->
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <!--
    convert iv to OMV inside an OMOBJ
  -->
  <xsl:template match="iv">
    <OMOBJ>
      <OMV>
        <xsl:attribute name="name">
          <xsl:value-of select="."/>
        </xsl:attribute>
      </OMV>
    </OMOBJ>
  </xsl:template>

  <!--
    convert maxima to a MONET-query
  -->
  <xsl:template match="maxima">
    <monet:query>
      <monet:classification>
        <monet:directive-type href="http://mathdox.org/phrasebook/maxima#eval"/>
      </monet:classification>
      <monet:body>
        <monet:output>
          <xsl:apply-templates/>
        </monet:output>
      </monet:body>
    </monet:query>
  </xsl:template>

  <!--
    convert p to docbook para
  -->
  <xsl:template match="p">
    <para>
      <xsl:apply-templates select="@*|node()"/>
    </para>
  </xsl:template>

</xsl:stylesheet>
